addpath(genpath('.\gsw_matlab_toolbox\'))

triaxus_dir1 = '.\data\in2018t01\triaxus\avgcast\';
triaxus_dir2 = '.\data\in2016v04\triaxus\avgcast\';

nt1 = ([triaxus_dir1,'deployment2AvgCast.nc']);
nt2 = ([triaxus_dir2,'deployment1AvgCast.nc']);
nt3 = ([triaxus_dir2,'deployment2AvgCast.nc']);
nt4 = ([triaxus_dir2,'deployment3Leg2AvgCast.nc']);
T.lat1=ncread(nt1,'latitude');
T.lon1=ncread(nt1,'longitude');
T.p1=ncread(nt1,'pressure');
T.T1=ncread(nt1,'temperature');
T.S1=ncread(nt1,'salinity');
T.O1=ncread(nt1,'oxygen');
T.cdom1=ncread(nt1,'cdom');

T.lat2=ncread(nt2,'latitude');
T.lon2=ncread(nt2,'longitude');
T.p2=ncread(nt2,'pressure');
T.T2=ncread(nt2,'temperature');
T.S2=ncread(nt2,'salinity');
T.O2=ncread(nt2,'oxygen');
T.cdom2=ncread(nt2,'cdom');

T.lat3=ncread(nt3,'latitude');
T.lon3=ncread(nt3,'longitude');
T.p3=ncread(nt3,'pressure');
T.T3=ncread(nt3,'temperature');
T.S3=ncread(nt3,'salinity');
T.O3=ncread(nt3,'oxygen');
T.cdom3=ncread(nt3,'cdom');

T.lat4=ncread(nt4,'latitude');
T.lon4=ncread(nt4,'longitude');
T.p4=ncread(nt4,'pressure');
T.T4=ncread(nt4,'temperature');
T.S4=ncread(nt4,'salinity');
T.O4=ncread(nt4,'oxygen');
T.cdom4=ncread(nt4,'cdom');

T.SA1 =  gsw_SA_from_SP(T.S1,T.p1',T.lon1,T.lat1);
T.CT1 = gsw_CT_from_t(T.SA1,T.T1,T.p1');
T.OS1 = gsw_O2sol(T.SA1,T.CT1,T.p1,T.lon1,T.lat1);
T.AOU1 = T.OS1-T.O1;

T.SA2 =  gsw_SA_from_SP(T.S2,T.p2',T.lon2,T.lat2);
T.CT2 = gsw_CT_from_t(T.SA2,T.T2,T.p2');
T.OS2 = gsw_O2sol(T.SA2,T.CT2,T.p2,T.lon2,T.lat2);
T.AOU2 = T.OS2-T.O2;

T.SA3 =  gsw_SA_from_SP(T.S3,T.p3',T.lon3,T.lat3);
T.CT3 = gsw_CT_from_t(T.SA3,T.T3,T.p3');
T.OS3 = gsw_O2sol(T.SA3,T.CT3,T.p3,T.lon3,T.lat3);
T.AOU3 = T.OS3-T.O3;

T.SA4 =  gsw_SA_from_SP(T.S4,T.p4',T.lon4,T.lat4);
T.CT4 = gsw_CT_from_t(T.SA4,T.T4,T.p4');
T.OS4 = gsw_O2sol(T.SA4,T.CT4,T.p4,T.lon4,T.lat4);
T.AOU4 = T.OS4-T.O4;

figure
subplot(2,2,1)
for i=1:length(T.lat1)
plot(T.AOU1(i,:), T.cdom1(i,:),'.','color','k');
hold on
end
xlabel('AOU (umol/kg)','fontsize',14)
ylabel('CDOM (ug/L)','fontsize',14)
title('(a) Voyage IN2018T01 tow2','fontsize',14)

subplot(2,2,2)
for i=1:length(T.lat2)
plot(T.AOU2(i,:), T.cdom2(i,:),'.','color','k');
hold on
end
xlabel('AOU (umol/kg)','fontsize',14)
ylabel('CDOM (scaled)','fontsize',14)
title('(b) Voyage IN2016V04 tow1','fontsize',14)

subplot(2,2,3)
for i=1:length(T.lat3)
plot(T.AOU3(i,:), T.cdom3(i,:),'.','color','k');
hold on
end
xlabel('AOU (umol/kg)','fontsize',14)
ylabel('CDOM (scaled)','fontsize',14)
title('(c) Voyage IN2016V04 tow2','fontsize',14)

subplot(2,2,4)
for i=1:length(T.lat4)
plot(T.AOU4(i,:), T.cdom4(i,:),'.','color','k');
hold on
end
xlabel('AOU (umol/kg)','fontsize',14)
ylabel('CDOM (scaled)','fontsize',14)
title('(d) Voyage IN2016V04 tow4','fontsize',14)

