addpath(genpath('.\m_map_toolbox\'))

%% Plot the track of all Triaxus towed in one voyage
clear
clc

% Annotate the parameters of the IMOS data
triaxus_in2015v01_dir = '.\data\in2015v01\triaxus\avg\';
nt_in2015v01_1 = ([triaxus_in2015v01_dir,'deployment1Leg1Avg.nc']);
nt_in2015v01_2 = ([triaxus_in2015v01_dir,'deployment1Leg2Avg.nc']);
nt_in2015v01_3 = ([triaxus_in2015v01_dir,'deployment2Leg1Avg.nc']);
nt_in2015v01_4 = ([triaxus_in2015v01_dir,'deployment2Leg2Avg.nc']);
nt_in2015v01_5 = ([triaxus_in2015v01_dir,'deployment2Leg3Avg.nc']);

triaxus_in2016v01_dir = '.\data\in2016v01\triaxus\avg\';
nt_in2016v01_1 = ([triaxus_in2016v01_dir,'deployment1Avg.nc']);
nt_in2016v01_2 = ([triaxus_in2016v01_dir,'deployment2Avg.nc']);
nt_in2016v01_3 = ([triaxus_in2016v01_dir,'deployment3Avg.nc']);
nt_in2016v01_4 = ([triaxus_in2016v01_dir,'deployment4Avg.nc']);
nt_in2016v01_5 = ([triaxus_in2016v01_dir,'deployment5Avg.nc']);

triaxus_in2016v02_dir = '.\data\in2016v02\triaxus\avg\';
nt_in2016v02_1 = ([triaxus_in2016v02_dir,'deployment1Avg.nc']);
nt_in2016v02_2 = ([triaxus_in2016v02_dir,'deployment2Avg.nc']);
nt_in2016v02_3 = ([triaxus_in2016v02_dir,'deployment3Avg.nc']);
nt_in2016v02_4 = ([triaxus_in2016v02_dir,'deployment4Avg.nc']);

triaxus_in2016v04_dir = '.\data\in2016v04\triaxus\avg\';
nt_in2016v04_1 = ([triaxus_in2016v04_dir,'deployment1Avg.nc']);
nt_in2016v04_2 = ([triaxus_in2016v04_dir,'deployment2Avg.nc']);
nt_in2016v04_3 = ([triaxus_in2016v04_dir,'deployment3Leg1Avg.nc']);
nt_in2016v04_4 = ([triaxus_in2016v04_dir,'deployment3Leg2Avg.nc']);
nt_in2016v04_5 = ([triaxus_in2016v04_dir,'deployment3Leg3Avg.nc']);
nt_in2016v04_6 = ([triaxus_in2016v04_dir,'deployment3Leg4Avg.nc']);
nt_in2016v04_7 = ([triaxus_in2016v04_dir,'deployment3Leg5Avg.nc']);
nt_in2016v04_8 = ([triaxus_in2016v04_dir,'deployment3Leg6Avg.nc']);
nt_in2016v04_9 = ([triaxus_in2016v04_dir,'deployment4Leg1Avg.nc']);
nt_in2016v04_10 = ([triaxus_in2016v04_dir,'deployment4Leg2Avg.nc']);
nt_in2016v04_11 = ([triaxus_in2016v04_dir,'deployment5Avg.nc']);
nt_in2016v04_12 = ([triaxus_in2016v04_dir,'deployment6Leg1Avg.nc']);
nt_in2016v04_13 = ([triaxus_in2016v04_dir,'deployment6Leg2Avg.nc']);
nt_in2016v04_14 = ([triaxus_in2016v04_dir,'deployment8Avg.nc']);
nt_in2016v04_15 = ([triaxus_in2016v04_dir,'deployment9Avg.nc']);
nt_in2016v04_16 = ([triaxus_in2016v04_dir,'deployment10Avg.nc']);
nt_in2016v04_17 = ([triaxus_in2016v04_dir,'deployment11Avg.nc']);

triaxus_in2016v05_dir = '.\data\in2016v05\triaxus\avg\';
nt_in2016v05_1 = ([triaxus_in2016v05_dir,'deployment1Avg.nc']);
nt_in2016v05_2 = ([triaxus_in2016v05_dir,'deployment2Leg1Avg.nc']);
nt_in2016v05_3 = ([triaxus_in2016v05_dir,'deployment2Leg2Avg.nc']);
nt_in2016v05_4 = ([triaxus_in2016v05_dir,'deployment2Leg3Avg.nc']);
nt_in2016v05_5 = ([triaxus_in2016v05_dir,'deployment3Avg.nc']);
nt_in2016v05_6 = ([triaxus_in2016v05_dir,'deployment4Avg.nc']);
nt_in2016v05_7 = ([triaxus_in2016v05_dir,'deployment5Avg.nc']);

triaxus_in2017v02_dir = '.\data\in2017v02\triaxus\avg\';
nt_in2017v02_1 = ([triaxus_in2017v02_dir,'deployment1Avg.nc']);

triaxus_in2017v04_dir = '.\data\in2017v04\triaxus\avg\';
nt_in2017v04_1 = ([triaxus_in2017v04_dir,'deployment2Leg1Avg.nc']);
nt_in2017v04_2 = ([triaxus_in2017v04_dir,'deployment3Leg1Avg.nc']);
nt_in2017v04_3 = ([triaxus_in2017v04_dir,'deployment3Leg2Avg.nc']);
nt_in2017v04_4 = ([triaxus_in2017v04_dir,'deployment7Leg1Avg.nc']);
nt_in2017v04_5 = ([triaxus_in2017v04_dir,'deployment7Leg2Avg.nc']);

triaxus_in2018t01_dir = '.\data\in2018t01\triaxus\avg\';
nt_in2018t01_1 = ([triaxus_in2018t01_dir,'deployment1Avg.nc']);
nt_in2018t01_2 = ([triaxus_in2018t01_dir,'deployment2Avg.nc']);

triaxus_in2018v03_dir = '.\data\in2018v03\triaxus\avg\';
nt_in2018v03_1 = ([triaxus_in2018v03_dir,'deployment1Avg.nc']);
nt_in2018v03_2 = ([triaxus_in2018v03_dir,'deployment2Avg.nc']);
nt_in2018v03_3 = ([triaxus_in2018v03_dir,'deployment3Avg.nc']);
nt_in2018v03_4 = ([triaxus_in2018v03_dir,'deployment4Avg.nc']);
nt_in2018v03_5 = ([triaxus_in2018v03_dir,'deployment5Avg.nc']);
nt_in2018v03_6 = ([triaxus_in2018v03_dir,'deployment6Avg.nc']);

triaxus_in2018v04_dir = '.\data\in2018v04\triaxus\avg\';
nt_in2018v04_1 = ([triaxus_in2018v04_dir,'deployment1Avg.nc']);
nt_in2018v04_2 = ([triaxus_in2018v04_dir,'deployment2Avg.nc']);
nt_in2018v04_3 = ([triaxus_in2018v04_dir,'deployment3Avg.nc']);
nt_in2018v04_4 = ([triaxus_in2018v04_dir,'deployment4Leg1Avg.nc']);
nt_in2018v04_5 = ([triaxus_in2018v04_dir,'deployment4Leg2Avg.nc']);
nt_in2018v04_6 = ([triaxus_in2018v04_dir,'deployment5Leg1Avg.nc']);
nt_in2018v04_7 = ([triaxus_in2018v04_dir,'deployment5Leg2Avg.nc']);
nt_in2018v04_8 = ([triaxus_in2018v04_dir,'deployment5Leg3Avg.nc']);

triaxus_in2018v05_dir = '.\data\in2018v05\triaxus\avg\';
nt_in2018v05_1 = ([triaxus_in2018v05_dir,'deployment1Leg2Avg.nc']);
nt_in2018v05_2 = ([triaxus_in2018v05_dir,'deployment2Leg2Avg.nc']);
nt_in2018v05_3 = ([triaxus_in2018v05_dir,'deployment2Leg5Avg.nc']);
nt_in2018v05_4 = ([triaxus_in2018v05_dir,'deployment3Leg3Avg.nc']);
nt_in2018v05_5 = ([triaxus_in2018v05_dir,'deployment4Leg2Avg.nc']);
nt_in2018v05_6 = ([triaxus_in2018v05_dir,'deployment4Leg3Avg.nc']);
nt_in2018v05_7 = ([triaxus_in2018v05_dir,'deployment6Leg2Avg.nc']);
nt_in2018v05_8 = ([triaxus_in2018v05_dir,'deployment7Leg2Avg.nc']);
nt_in2018v05_9 = ([triaxus_in2018v05_dir,'deployment8Leg2Avg.nc']);
nt_in2018v05_10 = ([triaxus_in2018v05_dir,'deployment9Leg2Avg.nc']);
nt_in2018v05_11 = ([triaxus_in2018v05_dir,'deployment10Leg3Avg.nc']);

triaxus_in2019v02_dir = '.\data\in2019v02\triaxus\avg\';
nt_in2019v02_1 = ([triaxus_in2019v02_dir,'deployment1Leg1Avg.nc']);
nt_in2019v02_2 = ([triaxus_in2019v02_dir,'deployment1Leg2Avg.nc']);
nt_in2019v02_3 = ([triaxus_in2019v02_dir,'deployment2Avg.nc']);
nt_in2019v02_4 = ([triaxus_in2019v02_dir,'deployment3Avg.nc']);

triaxus_in2019v03_dir = '.\data\in2019v03\triaxus\avg\';
nt_in2019v03_1 = ([triaxus_in2019v03_dir,'deployment1Avg.nc']);
nt_in2019v03_2 = ([triaxus_in2019v03_dir,'deployment2Leg1Avg.nc']);
nt_in2019v03_3 = ([triaxus_in2019v03_dir,'deployment2Leg2Avg.nc']);
nt_in2019v03_4 = ([triaxus_in2019v03_dir,'deployment3Avg.nc']);

triaxus_in2019v05_dir = '.\data\in2019v05\triaxus\avg\';
nt_in2019v05_1 = ([triaxus_in2019v05_dir,'deployment1Avg.nc']);
nt_in2019v05_2 = ([triaxus_in2019v05_dir,'deployment2Avg.nc']);
nt_in2019v05_3 = ([triaxus_in2019v05_dir,'deployment3Avg.nc']);
nt_in2019v05_4 = ([triaxus_in2019v05_dir,'deployment4Avg.nc']);
nt_in2019v05_5 = ([triaxus_in2019v05_dir,'deployment5Avg.nc']);
nt_in2019v05_6 = ([triaxus_in2019v05_dir,'deployment6Avg.nc']);

triaxus_in2019v06_dir = '.\data\in2019v06\triaxus\avg\';
nt_in2019v06_1 = ([triaxus_in2019v06_dir,'deployment1Leg3Avg.nc']);
nt_in2019v06_2 = ([triaxus_in2019v06_dir,'deployment1Leg4Avg.nc']);
nt_in2019v06_3 = ([triaxus_in2019v06_dir,'deployment1Leg6Avg.nc']);
nt_in2019v06_4 = ([triaxus_in2019v06_dir,'deployment2Leg1Avg.nc']);
nt_in2019v06_5 = ([triaxus_in2019v06_dir,'deployment2Leg2Avg.nc']);
nt_in2019v06_6 = ([triaxus_in2019v06_dir,'deployment2Leg3Avg.nc']);
nt_in2019v06_7 = ([triaxus_in2019v06_dir,'deployment2Leg4Avg.nc']);
nt_in2019v06_8 = ([triaxus_in2019v06_dir,'deployment2Leg6Avg.nc']);

% Load most recent SSH image and Triaxus trajectory data
in2015v01_T1.lat=ncread(nt_in2015v01_1,'latitude');
in2015v01_T1.lon=ncread(nt_in2015v01_1,'longitude');
in2015v01_T2.lat=ncread(nt_in2015v01_2,'latitude');
in2015v01_T2.lon=ncread(nt_in2015v01_2,'longitude');
in2015v01_T3.lat=ncread(nt_in2015v01_3,'latitude');
in2015v01_T3.lon=ncread(nt_in2015v01_3,'longitude');
in2015v01_T4.lat=ncread(nt_in2015v01_4,'latitude');
in2015v01_T4.lon=ncread(nt_in2015v01_4,'longitude');
in2015v01_T5.lat=ncread(nt_in2015v01_5,'latitude');
in2015v01_T5.lon=ncread(nt_in2015v01_5,'longitude');

in2016v01_T1.lat=ncread(nt_in2016v01_1,'latitude');
in2016v01_T1.lon=ncread(nt_in2016v01_1,'longitude');
in2016v01_T2.lat=ncread(nt_in2016v01_2,'latitude');
in2016v01_T2.lon=ncread(nt_in2016v01_2,'longitude');
in2016v01_T3.lat=ncread(nt_in2016v01_3,'latitude');
in2016v01_T3.lon=ncread(nt_in2016v01_3,'longitude');
in2016v01_T4.lat=ncread(nt_in2016v01_4,'latitude');
in2016v01_T4.lon=ncread(nt_in2016v01_4,'longitude');
in2016v01_T5.lat=ncread(nt_in2016v01_5,'latitude');
in2016v01_T5.lon=ncread(nt_in2016v01_5,'longitude');

in2016v02_T1.lat=ncread(nt_in2016v02_1,'latitude');
in2016v02_T1.lon=ncread(nt_in2016v02_1,'longitude');
in2016v02_T2.lat=ncread(nt_in2016v02_2,'latitude');
in2016v02_T2.lon=ncread(nt_in2016v02_2,'longitude');
in2016v02_T3.lat=ncread(nt_in2016v02_3,'latitude');
in2016v02_T3.lon=ncread(nt_in2016v02_3,'longitude');
in2016v02_T4.lat=ncread(nt_in2016v02_4,'latitude');
in2016v02_T4.lon=ncread(nt_in2016v02_4,'longitude');

in2016v04_T1.lat=ncread(nt_in2016v04_1,'latitude');
in2016v04_T1.lon=ncread(nt_in2016v04_1,'longitude');
in2016v04_T2.lat=ncread(nt_in2016v04_2,'latitude');
in2016v04_T2.lon=ncread(nt_in2016v04_2,'longitude');
in2016v04_T3.lat=ncread(nt_in2016v04_3,'latitude');
in2016v04_T3.lon=ncread(nt_in2016v04_3,'longitude');
in2016v04_T4.lat=ncread(nt_in2016v04_4,'latitude');
in2016v04_T4.lon=ncread(nt_in2016v04_4,'longitude');
in2016v04_T5.lat=ncread(nt_in2016v04_5,'latitude');
in2016v04_T5.lon=ncread(nt_in2016v04_5,'longitude');
in2016v04_T6.lat=ncread(nt_in2016v04_6,'latitude');
in2016v04_T6.lon=ncread(nt_in2016v04_6,'longitude');
in2016v04_T7.lat=ncread(nt_in2016v04_7,'latitude');
in2016v04_T7.lon=ncread(nt_in2016v04_7,'longitude');
in2016v04_T8.lat=ncread(nt_in2016v04_8,'latitude');
in2016v04_T8.lon=ncread(nt_in2016v04_8,'longitude');
in2016v04_T9.lat=ncread(nt_in2016v04_9,'latitude');
in2016v04_T9.lon=ncread(nt_in2016v04_9,'longitude');
in2016v04_T10.lat=ncread(nt_in2016v04_10,'latitude');
in2016v04_T10.lon=ncread(nt_in2016v04_10,'longitude');
in2016v04_T11.lat=ncread(nt_in2016v04_11,'latitude');
in2016v04_T11.lon=ncread(nt_in2016v04_11,'longitude');
in2016v04_T12.lat=ncread(nt_in2016v04_12,'latitude');
in2016v04_T12.lon=ncread(nt_in2016v04_12,'longitude');
in2016v04_T13.lat=ncread(nt_in2016v04_13,'latitude');
in2016v04_T13.lon=ncread(nt_in2016v04_13,'longitude');
in2016v04_T14.lat=ncread(nt_in2016v04_14,'latitude');
in2016v04_T14.lon=ncread(nt_in2016v04_14,'longitude');
in2016v04_T15.lat=ncread(nt_in2016v04_15,'latitude');
in2016v04_T15.lon=ncread(nt_in2016v04_15,'longitude');
in2016v04_T16.lat=ncread(nt_in2016v04_16,'latitude');
in2016v04_T16.lon=ncread(nt_in2016v04_16,'longitude');
in2016v04_T17.lat=ncread(nt_in2016v04_17,'latitude');
in2016v04_T17.lon=ncread(nt_in2016v04_17,'longitude');

in2016v05_T1.lat=ncread(nt_in2016v05_1,'latitude');
in2016v05_T1.lon=ncread(nt_in2016v05_1,'longitude');
in2016v05_T2.lat=ncread(nt_in2016v05_2,'latitude');
in2016v05_T2.lon=ncread(nt_in2016v05_2,'longitude');
in2016v05_T3.lat=ncread(nt_in2016v05_3,'latitude');
in2016v05_T3.lon=ncread(nt_in2016v05_3,'longitude');
in2016v05_T4.lat=ncread(nt_in2016v05_4,'latitude');
in2016v05_T4.lon=ncread(nt_in2016v05_4,'longitude');
in2016v05_T5.lat=ncread(nt_in2016v05_5,'latitude');
in2016v05_T5.lon=ncread(nt_in2016v05_5,'longitude');
in2016v05_T6.lat=ncread(nt_in2016v05_6,'latitude');
in2016v05_T6.lon=ncread(nt_in2016v05_6,'longitude');
in2016v05_T7.lat=ncread(nt_in2016v05_7,'latitude');
in2016v05_T7.lon=ncread(nt_in2016v05_7,'longitude');

in2017v02_T1.lat=ncread(nt_in2017v02_1,'latitude');
in2017v02_T1.lon=ncread(nt_in2017v02_1,'longitude');

in2017v04_T1.lat=ncread(nt_in2017v04_1,'latitude');
in2017v04_T1.lon=ncread(nt_in2017v04_1,'longitude');
in2017v04_T2.lat=ncread(nt_in2017v04_2,'latitude');
in2017v04_T2.lon=ncread(nt_in2017v04_2,'longitude');
in2017v04_T3.lat=ncread(nt_in2017v04_3,'latitude');
in2017v04_T3.lon=ncread(nt_in2017v04_3,'longitude');
in2017v04_T4.lat=ncread(nt_in2017v04_4,'latitude');
in2017v04_T4.lon=ncread(nt_in2017v04_4,'longitude');
in2017v04_T5.lat=ncread(nt_in2017v04_5,'latitude');
in2017v04_T5.lon=ncread(nt_in2017v04_5,'longitude');

in2018t01_T1.lat=ncread(nt_in2018t01_1,'latitude');
in2018t01_T1.lon=ncread(nt_in2018t01_1,'longitude');
in2018t01_T2.lat=ncread(nt_in2018t01_2,'latitude');
in2018t01_T2.lon=ncread(nt_in2018t01_2,'longitude');

in2018v03_T1.lat=ncread(nt_in2018v03_1,'latitude');
in2018v03_T1.lon=ncread(nt_in2018v03_1,'longitude');
in2018v03_T2.lat=ncread(nt_in2018v03_2,'latitude');
in2018v03_T2.lon=ncread(nt_in2018v03_2,'longitude');
in2018v03_T3.lat=ncread(nt_in2018v03_3,'latitude');
in2018v03_T3.lon=ncread(nt_in2018v03_3,'longitude');
in2018v03_T4.lat=ncread(nt_in2018v03_4,'latitude');
in2018v03_T4.lon=ncread(nt_in2018v03_4,'longitude');
in2018v03_T5.lat=ncread(nt_in2018v03_5,'latitude');
in2018v03_T5.lon=ncread(nt_in2018v03_5,'longitude');
in2018v03_T6.lat=ncread(nt_in2018v03_6,'latitude');
in2018v03_T6.lon=ncread(nt_in2018v03_6,'longitude');

in2018v04_T1.lat=ncread(nt_in2018v04_1,'latitude');
in2018v04_T1.lon=ncread(nt_in2018v04_1,'longitude');
in2018v04_T2.lat=ncread(nt_in2018v04_2,'latitude');
in2018v04_T2.lon=ncread(nt_in2018v04_2,'longitude');
in2018v04_T3.lat=ncread(nt_in2018v04_3,'latitude');
in2018v04_T3.lon=ncread(nt_in2018v04_3,'longitude');
in2018v04_T4.lat=ncread(nt_in2018v04_4,'latitude');
in2018v04_T4.lon=ncread(nt_in2018v04_4,'longitude');
in2018v04_T5.lat=ncread(nt_in2018v04_5,'latitude');
in2018v04_T5.lon=ncread(nt_in2018v04_5,'longitude');
in2018v04_T6.lat=ncread(nt_in2018v04_6,'latitude');
in2018v04_T6.lon=ncread(nt_in2018v04_6,'longitude');
in2018v04_T7.lat=ncread(nt_in2018v04_7,'latitude');
in2018v04_T7.lon=ncread(nt_in2018v04_7,'longitude');
in2018v04_T8.lat=ncread(nt_in2018v04_8,'latitude');
in2018v04_T8.lon=ncread(nt_in2018v04_8,'longitude');

in2018v05_T1.lat=ncread(nt_in2018v05_1,'latitude');
in2018v05_T1.lon=ncread(nt_in2018v05_1,'longitude');
in2018v05_T2.lat=ncread(nt_in2018v05_2,'latitude');
in2018v05_T2.lon=ncread(nt_in2018v05_2,'longitude');
in2018v05_T3.lat=ncread(nt_in2018v05_3,'latitude');
in2018v05_T3.lon=ncread(nt_in2018v05_3,'longitude');
in2018v05_T4.lat=ncread(nt_in2018v05_4,'latitude');
in2018v05_T4.lon=ncread(nt_in2018v05_4,'longitude');
in2018v05_T5.lat=ncread(nt_in2018v05_5,'latitude');
in2018v05_T5.lon=ncread(nt_in2018v05_5,'longitude');
in2018v05_T6.lat=ncread(nt_in2018v05_6,'latitude');
in2018v05_T6.lon=ncread(nt_in2018v05_6,'longitude');
in2018v05_T7.lat=ncread(nt_in2018v05_7,'latitude');
in2018v05_T7.lon=ncread(nt_in2018v05_7,'longitude');
in2018v05_T8.lat=ncread(nt_in2018v05_8,'latitude');
in2018v05_T8.lon=ncread(nt_in2018v05_8,'longitude');
in2018v05_T9.lat=ncread(nt_in2018v05_9,'latitude');
in2018v05_T9.lon=ncread(nt_in2018v05_9,'longitude');
in2018v05_T10.lat=ncread(nt_in2018v05_10,'latitude');
in2018v05_T10.lon=ncread(nt_in2018v05_10,'longitude');
in2018v05_T11.lat=ncread(nt_in2018v05_11,'latitude');
in2018v05_T11.lon=ncread(nt_in2018v05_11,'longitude');

in2019v02_T1.lat=ncread(nt_in2019v02_1,'latitude');
in2019v02_T1.lon=ncread(nt_in2019v02_1,'longitude');
in2019v02_T2.lat=ncread(nt_in2019v02_2,'latitude');
in2019v02_T2.lon=ncread(nt_in2019v02_2,'longitude');
in2019v02_T3.lat=ncread(nt_in2019v02_3,'latitude');
in2019v02_T3.lon=ncread(nt_in2019v02_3,'longitude');
in2019v02_T4.lat=ncread(nt_in2019v02_4,'latitude');
in2019v02_T4.lon=ncread(nt_in2019v02_4,'longitude');

in2019v03_T1.lat=ncread(nt_in2019v03_1,'latitude');
in2019v03_T1.lon=ncread(nt_in2019v03_1,'longitude');
in2019v03_T2.lat=ncread(nt_in2019v03_2,'latitude');
in2019v03_T2.lon=ncread(nt_in2019v03_2,'longitude');
in2019v03_T3.lat=ncread(nt_in2019v03_3,'latitude');
in2019v03_T3.lon=ncread(nt_in2019v03_3,'longitude');
in2019v03_T4.lat=ncread(nt_in2019v03_4,'latitude');
in2019v03_T4.lon=ncread(nt_in2019v03_4,'longitude');

in2019v05_T1.lat=ncread(nt_in2019v05_1,'latitude');
in2019v05_T1.lon=ncread(nt_in2019v05_1,'longitude');
in2019v05_T2.lat=ncread(nt_in2019v05_2,'latitude');
in2019v05_T2.lon=ncread(nt_in2019v05_2,'longitude');
in2019v05_T3.lat=ncread(nt_in2019v05_3,'latitude');
in2019v05_T3.lon=ncread(nt_in2019v05_3,'longitude');
in2019v05_T4.lat=ncread(nt_in2019v05_4,'latitude');
in2019v05_T4.lon=ncread(nt_in2019v05_4,'longitude');
in2019v05_T5.lat=ncread(nt_in2019v05_5,'latitude');
in2019v05_T5.lon=ncread(nt_in2019v05_5,'longitude');
in2019v05_T6.lat=ncread(nt_in2019v05_6,'latitude');
in2019v05_T6.lon=ncread(nt_in2019v05_6,'longitude');

in2019v06_T1.lat=ncread(nt_in2019v06_1,'latitude');
in2019v06_T1.lon=ncread(nt_in2019v06_1,'longitude');
in2019v06_T2.lat=ncread(nt_in2019v06_2,'latitude');
in2019v06_T2.lon=ncread(nt_in2019v06_2,'longitude');
in2019v06_T3.lat=ncread(nt_in2019v06_3,'latitude');
in2019v06_T3.lon=ncread(nt_in2019v06_3,'longitude');
in2019v06_T4.lat=ncread(nt_in2019v06_4,'latitude');
in2019v06_T4.lon=ncread(nt_in2019v06_4,'longitude');
in2019v06_T5.lat=ncread(nt_in2019v06_5,'latitude');
in2019v06_T5.lon=ncread(nt_in2019v06_5,'longitude');
in2019v06_T6.lat=ncread(nt_in2019v06_6,'latitude');
in2019v06_T6.lon=ncread(nt_in2019v06_6,'longitude');
in2019v06_T7.lat=ncread(nt_in2019v06_7,'latitude');
in2019v06_T7.lon=ncread(nt_in2019v06_7,'longitude');
in2019v06_T8.lat=ncread(nt_in2019v06_8,'latitude');
in2019v06_T8.lon=ncread(nt_in2019v06_8,'longitude');

%% Plotting
figure('units','normalized','outerposition',[0 0 1 1])
clf

m_proj('Equidistant Cylindrical','lat',[-60 -10],'long',[68 160]); %Projection mode and drawing range settings
m_gshhs('lc1','patch',[0.98 0.98 0.98],'EdgeColor',[0.98 0.98 0.98]); %Line and color block color settings
m_grid('linewidth',2,'tickdir','out','backcolor',[0.7020 0.8588 0.9098],'fontsize',18); %Border and grid settings
shading interp

m_gshhs_h('save','gumby'); 
m_usercoast('gumby','patch',[.5 .5 .5],'edgecolor','none');
hold on

p1=m_plot(in2015v01_T1.lon,in2015v01_T1.lat,'k','linewidth',2);hold on;
m_plot(in2015v01_T2.lon,in2015v01_T2.lat,'k','linewidth',2);
m_plot(in2015v01_T3.lon,in2015v01_T3.lat,'k','linewidth',2);
m_plot(in2015v01_T4.lon,in2015v01_T4.lat,'k','linewidth',2);
m_plot(in2015v01_T5.lon,in2015v01_T5.lat,'k','linewidth',2);

p2=m_plot(in2016v01_T1.lon,in2016v01_T1.lat,'b','linewidth',2);hold on;
m_plot(in2016v01_T2.lon,in2016v01_T2.lat,'b','linewidth',2);
m_plot(in2016v01_T3.lon,in2016v01_T3.lat,'b','linewidth',2);
m_plot(in2016v01_T4.lon,in2016v01_T4.lat,'b','linewidth',2);
m_plot(in2016v01_T5.lon,in2016v01_T5.lat,'b','linewidth',2);

p3=m_plot(in2016v02_T1.lon,in2016v02_T1.lat,'c','linewidth',2);hold on;
m_plot(in2016v02_T2.lon,in2016v02_T2.lat,'c','linewidth',2);
m_plot(in2016v02_T3.lon,in2016v02_T3.lat,'c','linewidth',2);
m_plot(in2016v02_T4.lon,in2016v02_T4.lat,'c','linewidth',2);

p4=m_plot(in2016v04_T1.lon,in2016v04_T1.lat,'m','linewidth',2);hold on;
m_plot(in2016v04_T2.lon,in2016v04_T2.lat,'m','linewidth',2);
m_plot(in2016v04_T3.lon,in2016v04_T3.lat,'m','linewidth',2);
m_plot(in2016v04_T4.lon,in2016v04_T4.lat,'m','linewidth',2);
m_plot(in2016v04_T5.lon,in2016v04_T5.lat,'m','linewidth',2);
m_plot(in2016v04_T6.lon,in2016v04_T6.lat,'m','linewidth',2);
m_plot(in2016v04_T7.lon,in2016v04_T7.lat,'m','linewidth',2);
m_plot(in2016v04_T8.lon,in2016v04_T8.lat,'m','linewidth',2);
m_plot(in2016v04_T9.lon,in2016v04_T9.lat,'m','linewidth',2);
m_plot(in2016v04_T10.lon,in2016v04_T10.lat,'m','linewidth',2);
m_plot(in2016v04_T11.lon,in2016v04_T11.lat,'m','linewidth',2);
m_plot(in2016v04_T12.lon,in2016v04_T12.lat,'m','linewidth',2);
m_plot(in2016v04_T13.lon,in2016v04_T13.lat,'m','linewidth',2);
m_plot(in2016v04_T14.lon,in2016v04_T14.lat,'m','linewidth',2);
m_plot(in2016v04_T15.lon,in2016v04_T15.lat,'m','linewidth',2);
m_plot(in2016v04_T16.lon,in2016v04_T16.lat,'m','linewidth',2);
m_plot(in2016v04_T17.lon,in2016v04_T17.lat,'m','linewidth',2);

p5=m_plot(in2016v05_T1.lon,in2016v05_T1.lat,'r','linewidth',2);hold on;
m_plot(in2016v05_T2.lon,in2016v05_T2.lat,'r','linewidth',2);
m_plot(in2016v05_T3.lon,in2016v05_T3.lat,'r','linewidth',2);
m_plot(in2016v05_T4.lon,in2016v05_T4.lat,'r','linewidth',2);
m_plot(in2016v05_T5.lon,in2016v05_T5.lat,'r','linewidth',2);
m_plot(in2016v05_T6.lon,in2016v05_T6.lat,'r','linewidth',2);
m_plot(in2016v05_T7.lon,in2016v05_T7.lat,'r','linewidth',2);

p6=m_plot(in2017v02_T1.lon,in2017v02_T1.lat,'g','linewidth',2);hold on;

p7=m_plot(in2017v04_T1.lon,in2017v04_T1.lat,'y','linewidth',2);hold on;
m_plot(in2017v04_T2.lon,in2017v04_T2.lat,'y','linewidth',2);
m_plot(in2017v04_T3.lon,in2017v04_T3.lat,'y','linewidth',2);
m_plot(in2017v04_T4.lon,in2017v04_T4.lat,'y','linewidth',2);
m_plot(in2017v04_T5.lon,in2017v04_T5.lat,'y','linewidth',2);

p8=m_plot(in2018t01_T1.lon,in2018t01_T1.lat,'color',[0.3 0.8 0.9],'linewidth',2);hold on;
m_plot(in2018t01_T2.lon,in2018t01_T2.lat,'color',[0.3 0.8 0.9],'linewidth',2);

p9=m_plot(in2018v03_T1.lon,in2018v03_T1.lat,'color',[0.8 0.9 0.3],'linewidth',2);hold on;
m_plot(in2018v03_T2.lon,in2018v03_T2.lat,'color',[0.8 0.9 0.3],'linewidth',2);
m_plot(in2018v03_T3.lon,in2018v03_T3.lat,'color',[0.8 0.9 0.3],'linewidth',2);
m_plot(in2018v03_T4.lon,in2018v03_T4.lat,'color',[0.8 0.9 0.3],'linewidth',2);
m_plot(in2018v03_T5.lon,in2018v03_T5.lat,'color',[0.8 0.9 0.3],'linewidth',2);
m_plot(in2018v03_T6.lon,in2018v03_T6.lat,'color',[0.8 0.9 0.3],'linewidth',2);

p10=m_plot(in2018v04_T1.lon,in2018v04_T1.lat,'color',[0.6 0.3 0.8],'linewidth',2);hold on;
m_plot(in2018v04_T2.lon,in2018v04_T2.lat,'color',[0.6 0.3 0.8],'linewidth',2);
m_plot(in2018v04_T3.lon,in2018v04_T3.lat,'color',[0.6 0.3 0.8],'linewidth',2);
m_plot(in2018v04_T4.lon,in2018v04_T4.lat,'color',[0.6 0.3 0.8],'linewidth',2);
m_plot(in2018v04_T5.lon,in2018v04_T5.lat,'color',[0.6 0.3 0.8],'linewidth',2);
m_plot(in2018v04_T6.lon,in2018v04_T6.lat,'color',[0.6 0.3 0.8],'linewidth',2);
m_plot(in2018v04_T7.lon,in2018v04_T7.lat,'color',[0.6 0.3 0.8],'linewidth',2);
m_plot(in2018v04_T8.lon,in2018v04_T8.lat,'color',[0.6 0.3 0.8],'linewidth',2);

p11=m_plot(in2018v05_T1.lon,in2018v05_T1.lat,'color',[0.2 0.7 0.4],'linewidth',2);hold on;
m_plot(in2018v05_T2.lon,in2018v05_T2.lat,'color',[0.2 0.7 0.4],'linewidth',2);
m_plot(in2018v05_T3.lon,in2018v05_T3.lat,'color',[0.2 0.7 0.4],'linewidth',2);
m_plot(in2018v05_T4.lon,in2018v05_T4.lat,'color',[0.2 0.7 0.4],'linewidth',2);
m_plot(in2018v05_T5.lon,in2018v05_T5.lat,'color',[0.2 0.7 0.4],'linewidth',2);
m_plot(in2018v05_T6.lon,in2018v05_T6.lat,'color',[0.2 0.7 0.4],'linewidth',2);
m_plot(in2018v05_T7.lon,in2018v05_T7.lat,'color',[0.2 0.7 0.4],'linewidth',2);
m_plot(in2018v05_T8.lon,in2018v05_T8.lat,'color',[0.2 0.7 0.4],'linewidth',2);
m_plot(in2018v05_T9.lon,in2018v05_T9.lat,'color',[0.2 0.7 0.4],'linewidth',2);
m_plot(in2018v05_T10.lon,in2018v05_T10.lat,'color',[0.2 0.7 0.4],'linewidth',2);
m_plot(in2018v05_T11.lon,in2018v05_T11.lat,'color',[0.2 0.7 0.4],'linewidth',2);

p12=m_plot(in2019v02_T1.lon,in2019v02_T1.lat,'color',[0.8 0.5 0.3],'linewidth',2);hold on;
m_plot(in2019v02_T2.lon,in2019v02_T2.lat,'color',[0.8 0.5 0.3],'linewidth',2);
m_plot(in2019v02_T3.lon,in2019v02_T3.lat,'color',[0.8 0.5 0.3],'linewidth',2);
m_plot(in2019v02_T4.lon,in2019v02_T4.lat,'color',[0.8 0.5 0.3],'linewidth',2);

p13=m_plot(in2019v03_T1.lon,in2019v03_T1.lat,'color',[0.3 0.5 0.2],'linewidth',2);hold on;
m_plot(in2019v03_T2.lon,in2019v03_T2.lat,'color',[0.3 0.5 0.2],'linewidth',2);
m_plot(in2019v03_T3.lon,in2019v03_T3.lat,'color',[0.3 0.5 0.2],'linewidth',2);
m_plot(in2019v03_T4.lon,in2019v03_T4.lat,'color',[0.3 0.5 0.2],'linewidth',2);

p14=m_plot(in2019v05_T1.lon,in2019v05_T1.lat,'color',[0.4 0.7 0.3],'linewidth',2);hold on;
m_plot(in2019v05_T2.lon,in2019v05_T2.lat,'color',[0.4 0.7 0.3],'linewidth',2);
m_plot(in2019v05_T3.lon,in2019v05_T3.lat,'color',[0.4 0.7 0.3],'linewidth',2);
m_plot(in2019v05_T4.lon,in2019v05_T4.lat,'color',[0.4 0.7 0.3],'linewidth',2);
m_plot(in2019v05_T5.lon,in2019v05_T5.lat,'color',[0.4 0.7 0.3],'linewidth',2);
m_plot(in2019v05_T6.lon,in2019v05_T6.lat,'color',[0.4 0.7 0.3],'linewidth',2);

p15=m_plot(in2019v06_T1.lon,in2019v06_T1.lat,'color',[0.7 0.3 0.5],'linewidth',2);hold on;
m_plot(in2019v06_T2.lon,in2019v06_T2.lat,'color',[0.7 0.3 0.5],'linewidth',2);
m_plot(in2019v06_T3.lon,in2019v06_T3.lat,'color',[0.7 0.3 0.5],'linewidth',2);
m_plot(in2019v06_T4.lon,in2019v06_T4.lat,'color',[0.7 0.3 0.5],'linewidth',2);
m_plot(in2019v06_T5.lon,in2019v06_T5.lat,'color',[0.7 0.3 0.5],'linewidth',2);
m_plot(in2019v06_T6.lon,in2019v06_T6.lat,'color',[0.7 0.3 0.5],'linewidth',2);
m_plot(in2019v06_T7.lon,in2019v06_T7.lat,'color',[0.7 0.3 0.5],'linewidth',2);
m_plot(in2019v06_T8.lon,in2019v06_T8.lat,'color',[0.7 0.3 0.5],'linewidth',2);

pp=legend([p1,p2,p3,p4,p5,p6,p7,p8,p9,p10,p11,p12,p13,p14,p15], 'Voyage in2015v01','Voyage in2016v01','Voyage in2016v02','Voyage in2016v04','Voyage in2016v05','Voyage in2017v02','Voyage in2017v04','Voyage in2018t01','Voyage in2018v03','Voyage in2018v04','Voyage in2018v05','Voyage in2019v02','Voyage in2019v03','Voyage in2019v05','Voyage in2019v06','location','northwest');
set(pp,'box','off','fontsize',12);
title('Geographical distribution diagram of all Triaxus tows','fontsize',24);