%% the percentage of good data
% Temperature flags
qc.T_good=numel(find(T.T_flags==0));
[a,b]=size(T.T_flags);
qc.T_total=a*b;
qc.T_ratio=qc.T_good./qc.T_total;

% Salinity flags
qc.S_good=numel(find(T.S_flags==0));
[a,b]=size(T.S_flags);
qc.S_total=a*b;
qc.S_ratio=qc.S_good./qc.S_total;

% Oxygen flags
qc.O_good=numel(find(T.O_flags==0));
[a,b]=size(T.O_flags);
qc.O_total=a*b;
qc.O_ratio=qc.O_good./qc.O_total;

% Chlorophyll flags
qc.chl_good=numel(find(T.chl_flags==0));
[a,b]=size(T.chl_flags);
qc.chl_total=a*b;
qc.chl_ratio=qc.chl_good./qc.chl_total;

% OBS flags
qc.obs_good=numel(find(T.obs_flags==0));
[a,b]=size(T.obs_flags);
qc.obs_total=a*b;
qc.obs_ratio=qc.obs_good./qc.obs_total;

% Transmissometer flags
qc.tran_good=numel(find(T.tran_flags==0));
[a,b]=size(T.tran_flags);
qc.tran_total=a*b;
qc.tran_ratio=qc.tran_good./qc.tran_total;

% PAR flags
qc.par_good=numel(find(T.par_flags==0));
[a,b]=size(T.par_flags);
qc.par_total=a*b;
qc.par_ratio=qc.par_good./qc.par_total;

% CDOM flags
qc.cdom_good=numel(find(T.cdom_flags==0));
[a,b]=size(T.cdom_flags);
qc.cdom_total=a*b;
qc.cdom_ratio=qc.cdom_good./qc.cdom_total;

% disp(['Temperature']);
% qc.T_ratio
% disp(['Salinity']);
% qc.S_ratio
% disp(['Oxygen']);
% qc.O_ratio
% disp(['Chlorophyll']);
% qc.chl_ratio
% disp(['OBS']);
% qc.obs_ratio
% disp(['Transmissometer']);
% qc.tran_ratio
% disp(['PAR']);
% qc.par_ratio
% disp(['CDOM']);
% qc.cdom_ratio

figure
clf

map = zeros(16,3);
map=[   
        0   0   162
        0  107  253
        0  186  253
      111  248  255
        0  150   50
        0  180   20
        0  220    0
      180  255  180
      196  166    0
      255  255    0
      255  200    0
      255    0    0
      255  100  100
      255  180  180
      200  100  155
      150    0  180 
                      ];
map=map/255.0;


% T flags
subplot(4,2,1);
contourf(T.D,T.depth(:,1),T.T_flags','LineColor','none');
shading flat;
hold on;
set(gca,'Ydir','reverse','tickdir','out');
ylim([0 202]);
colormap(map);
h=colorbar('YTick',[0,69,124,141,192],...
         'YTickLabel',{'Good','Suspect','Bad','Missing','Unprocessed'},'fontsize', 9);
caxis([0 192]);
xlabel('distance (km)');
ylabel('depth (m)');
set(get(h,'title'),'string','QC flags');
title('T flags');

% S flags
subplot(4,2,3);
contourf(T.D,T.depth(:,1),T.S_flags','LineColor','none');
shading flat;
hold on;
set(gca,'Ydir','reverse','tickdir','out');
ylim([0 202]);
colormap(map);
h=colorbar('YTick',[0,69,124,141,192],...
         'YTickLabel',{'Good','Suspect','Bad','Missing','Unprocessed'},'fontsize', 9);
caxis([0 192]);
xlabel('distance (km)');
ylabel('depth (m)');
set(get(h,'title'),'string','QC flags');
title('S flags');

% O flags
subplot(4,2,5);
contourf(T.D,T.depth(:,1),T.O_flags','LineColor','none');
shading flat;
hold on;
set(gca,'Ydir','reverse','tickdir','out');
ylim([0 202]);
colormap(map);
h=colorbar('YTick',[0,69,124,141,192],...
         'YTickLabel',{'Good','Suspect','Bad','Missing','Unprocessed'},'fontsize', 9);
caxis([0 192]);
xlabel('distance (km)');
ylabel('depth (m)');
set(get(h,'title'),'string','QC flags');
title('O flags');

% Tran flags
subplot(4,2,7);
contourf(T.D,T.depth(:,1),T.tran_flags','LineColor','none');
shading flat;
hold on;
set(gca,'Ydir','reverse','tickdir','out');
ylim([0 202]);
colormap(map);
h=colorbar('YTick',[0,69,124,141,192],...
         'YTickLabel',{'Good','Suspect','Bad','Missing','Unprocessed'},'fontsize', 9);
caxis([0 192]);
xlabel('distance (km)');
ylabel('depth (m)');
set(get(h,'title'),'string','QC flags');
title('Transmissometer flags');

% PAR flags
subplot(4,2,2);
contourf(T.D,T.depth(:,1),T.par_flags','LineColor','none');
shading flat;
hold on;
set(gca,'Ydir','reverse','tickdir','out');
ylim([0 202]);
colormap(map);
h=colorbar('YTick',[0,69,124,141,192],...
         'YTickLabel',{'Good','Suspect','Bad','Missing','Unprocessed'},'fontsize', 9);
caxis([0 192]);
xlabel('distance (km)');
ylabel('depth (m)');
set(get(h,'title'),'string','QC flags');
title('PAR flags');

% Chl flags
subplot(4,2,4);
contourf(T.D,T.depth(:,1),T.chl_flags','LineColor','none');
shading flat;
hold on;
set(gca,'Ydir','reverse','tickdir','out');
ylim([0 202]);
colormap(map);
h=colorbar('YTick',[0,69,124,141,192],...
         'YTickLabel',{'Good','Suspect','Bad','Missing','Unprocessed'},'fontsize', 9);
caxis([0 192]);
xlabel('distance (km)');
ylabel('depth (m)');
set(get(h,'title'),'string','QC flags');
title('Chlorophyll flags');

% OBS flags
subplot(4,2,6);
contourf(T.D,T.depth(:,1),T.obs_flags','LineColor','none');
shading flat;
hold on;
set(gca,'Ydir','reverse','tickdir','out');
ylim([0 202]);
colormap(map);
h=colorbar('YTick',[0,69,124,141,192],...
         'YTickLabel',{'Good','Suspect','Bad','Missing','Unprocessed'},'fontsize', 9);
caxis([0 192]);
xlabel('distance (km)');
ylabel('depth (m)');
set(get(h,'title'),'string','QC flags');
title('OBS flags');

% CDOM flags
subplot(4,2,8);
contourf(T.D,T.depth(:,1),T.cdom_flags','LineColor','none');
shading flat;
hold on;
set(gca,'Ydir','reverse','tickdir','out');
ylim([0 202]);
colormap(map);
h=colorbar('YTick',[0,69,124,141,192],...
         'YTickLabel',{'Good','Suspect','Bad','Missing','Unprocessed'},'fontsize', 9);
caxis([0 192]);
xlabel('distance (km)');
ylabel('depth (m)');
set(get(h,'title'),'string','QC flags');
title('CDOM flags');
